
% Rozwiązywanie równań algebraicznych
% Zasięg i maksymalnej wysokość w rzucie
% ukośnym

syms x y t v0 a g

clc

% równania ruchu
x = v0*t*cos(a)
y = v0*t*sin(a)-g*t^2/2

% wyznaczenie czasu po którym ciało osiąga wysokość 0
T = solve(y==0,t);
T = T(2);

% obliczenie zasięgu
z = subs(x, t, T);
z = simplify(z)
pretty(z)

% obliczenie max. wysokości
h = subs(y, t, T/2)
pretty(h)
