
% Pochodna funkcji
% Wyznaczenie maksymalnej wysokości w rzucie ukośnym
% metoda alternatywna - poszukiwanie maximum funkcji 
% (miejsca zerowania pochodnej)

syms y(t) v0 a g

clc

% równanie ruchu
y(t) = v0*t*sin(a)-g*t^2/2

% pochodna funkcji y(t)
dy(t) = diff(y,t)

% wyznaczenie miejsca zerowego pochodnej (maksimmum)
T = solve(dy==0,t);
h = y(T)
pretty(h)